Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_memory_delete_key

## Name

librdf_hash_memory_delete_key -- Delete a key and all its values from the hash

## Synopsis

``int `librdf_hash_memory_delete_key`` (void* `context`, librdf_hash_datum * `key`);`

## Arguments

`context`

  memory hash context

`key`

  pointer to key to delete

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_memory_delete_key_value | Up | librdf_hash_memory_sync